
Core - Task # 44764

Task # 52965 (Closed): Remove deprecated functions, classes and files

Status: Closed Priority: Must have
Author: Wouter Wolters Category: Code Cleanup
Created: 2013-01-23 Assigned To:
Updated: 2015-01-09 Due date:
TYPO3 Version: 6.1
PHP Version:
Complexity: medium
Sprint Focus:
Subject: Remove deprecated security_level
Description

Remove deprecated security_level

History
#1 - 2013-01-25 21:43 - Oliver Hader

This is just about the class property, right?

#2 - 2013-01-25 22:11 - Wouter Wolters

Yes, I came across it while searching for deprecated functions to be removed in 6.1. This one  was not that easy, so maybe someone more
experienced in the login part can take care of this one.

#3 - 2013-01-25 23:39 - Oliver Hader
- Category set to Code Cleanup
- Status changed from New to Accepted
- Complexity set to medium

#4 - 2013-04-01 23:43 - Stefan Neufeind

So we won't have ('normal', 'challenged', 'superchallenged') anymore? Was it decided to only keep "superchallenged" from now on?

#5 - 2014-03-15 13:48 - Markus Klein
- Parent task set to #52965

#6 - 2014-12-14 14:16 - Wouter Wolters
- Status changed from Accepted to Closed

Resolved already.

#7 - 2015-01-09 14:15 - Chris topher

Does not seem like security_level is mentioned in any documentation (at least not in the Security Guide); no need to update any docs for this change.
